Subject: RE: NEMO throught IPv4 networks (was Re: [nemo] NAT/PAT transfersal overIPv4 networks)

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Fri, 22 Oct 2004 09:58:57 +0200

Hi Vijay:

At least we start the discussion ... and we can discuss pro/cons,
applicability, things like that, and improve the solutions.

Note that for the specifics of the tunnel overhead, it is possible to
apply some header compression technique, this is nothing new. It
specially make sense in the specific case where the door gateway is
collocated to the HA, since that makes the gateway stateful anyway; but
it might still be a requirement to split them and keep separated states.

So if squeezing the tunnel pverhead is a requirement, it is surely not a
show stopper for doors, but an addition we have to make for the final
solution. 

Actually we have discussed header compression internally long ago. But
improving the draft requires the group attention. Otherwise it's moot.
This is why we stopped the writing up for so long.

Now in terms of requirement, NEMO might consider:

- we have to support NAT or plain public, and if so, which types of
NATs. I'm afraid that this is REALLY important. 

- whether it's acceptable to force that the IPv4 be terminated
physically at the HA. Surely it is in some cases as of today. Still it's
a limitation, which might have its own deployment and security
consequences. I believe it's better if it is just an option for the
deployement.

- If we want the solution to be deployable incrementally to MIP6/NEMO,
and if there's value that the solution might be deployed with no change
to the HA.

The IPv4 NAT/PAT traversal question has been there for quite some time.
I believe that at this point, we can take the time to understand what we
have on the table, and if it's possible, take the best of it all and
make that a standard.

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of Vijay Devarapalli
> Sent: jeudi 21 octobre 2004 23:09
> To: Thierry Ernst
> Cc: nemo; Daniel Shell (dshell); [email-masked]; T.J.Kniveton;
> [email-masked]; [email-masked]
> Subject: NEMO throught IPv4 networks (was Re: [nemo] NAT/PAT
transfersal overIPv4 networks)
> 
> Thierry,
> 
> I personally prefer a solution based on Ryuji's draft
>
http://www.ietf.org/internet-drafts/draft-wakikawa-nemo-v4tunnel-00.txt
> 
> the Mobile Router basically registers its IPv4 CoA with its Home Agent
> which supports both IPv4 and IPv6. the outer tunnel would be between
> the MR's IPv4 CoA and HA's IPv4 address. the inner tunnel would be
> between the MR's IPv6 HoA (MNN's IPv6 address) and the CN's IPv6
> address. for traffic between the MR and the HA, the inner tunnel would
> be between the MR's IPv6 HoA and HA's IPv6 address.
> 
> this eliminates double tunneling. with "Doors", for example you end
> up with a NEMO tunnel inside a Doors tunnel. with the above solution,
> you end up with a single NEMO tunnel with outer IPv4 header and inner
> IPv6 header.
> 
> I was planning to write up something on this, but didnt get to do it
> before the ID cutt-off deadline. if its okay with the chairs, I would
> like to present a couple of slides at the next meeting.
> 
> Vijay
> 
> 
> Thierry Ernst wrote:
> 
> > Dear all,
> >
> > There was this discussion in early August, so I wonder if there is
> > anything that we should do in the NEMO WG regarding this, and
otherwise
> > if there is anyone in our group willing to take a close look at the
work
> > done in v6ops.
> >
> > Thanks,
> > Thierry.
> >
> >
> >
> >
> >
> > On Wed, 4 Aug 2004 07:30:03 +0100
> > Tim Chown <[email-masked]> wrote:
> >
> >
> >>I think NAT is a consideration for the assisted tunneling
requirements
> >>analysis that is happening in v6ops.   Have you read that?
>
>>http://www.ietf.org/internet-drafts/draft-ietf-v6ops-assisted-tunnelin
g-requirements-00.txt
> >>
> >>It is NAT-PT that is pushed to the "last resort" status in v6ops
(there is
> >>a new push to write up why in an applicability statement, agreed
this week).
> >>
> >>I can't find any active  reference to "doors" - could you provide a
pointer?
> >>Looks like nemo should be talking to v6ops here :)
> >>
> >>thanks,
> >>tim
> >>
> >>On Wed, Aug 04, 2004 at 07:23:19AM +0200, Pascal Thubert (pthubert)
wrote:
> >>
> >>>Well, as I understand the work being done at the MIP6 or v6Ops,
Doors is not considered
> because of IPR. On the other hand, since the IPR encumbering is the
basically same as that of
> nemo basic support, doors should be acceptable within Nemo. So there
IS something that is
> Nemo specific after all.
> >>>
> >>>There was a discussion in Seoul about NAT traversal (I asked Hesham
over the mike) -
> correct me if I'm wrong - they are not covering NAT in the current
ipv4/IPv6 interoperability
> solutions. So we end up with in one hand a non standard thing (doors)
that has now been
> thoroughly tested and goes though all sorts of NAT including reverse
and symmetrical, or in
> the other end the beginning of what may be a MIP remake of v6ops
transition story.
> >>>
> >>>Could we just standardize doors so we can deliver something
efficient to our customers?
> And then if alternates pop up, they'll have to prove they are better
in that space.
> >>>
> >>>Pascal
> >>>
> >>>
> >>>
> >>>>-----Original Message-----
> >>>>From: [email-masked] [mailto:[email-masked]] On
Behalf Of Thierry Ernst
> >>>>Sent: mercredi 4 ao{t 2004 01:41
> >>>>To: nemo
> >>>>Subject: Re: [nemo] NAT/PAT transfersal over IPv4 networks
> >>>>
> >>>>
> >>>>Hi Will,
> >>>>
> >>>>Actually, the draft-iett-nemo-requirements mention NAT traversal
and
> >>>>IPv4-IPv6 transitin, so that is something we do care about. This
said,
> >>>>we concluded last year that there wasn't NEMO-specific issues. If
there
> >>>>is one, I think the WG should defintely address it. If these are
issues
> >>>>not specific to NEMO, we need to make sure these issues are
addressed by
> >>>>the relefvant WG.
> >>>>
> >>>>In any case, I agree with your statement.
> >>>>
> >>>>Thierry.
> >>>>
> >>>>
> >>>>
> >>>>
> >>>>On Tue, 03 Aug 2004 18:21:37 -0400
> >>>>ivancic <[email-masked]> wrote:
> >>>>
> >>>>
> >>>>>Thierry and/or TJ asked if there was additional work that NEMO
should
> >>>>>address prior to closing or rechartering.
> >>>>>
> >>>>>I strongly believe that the group should standardize on a NAT/PAT
> >>>>>transversal over IPv4 backbones.   This will greatly increase the
> >>>>>ability to deploy NEMO IPv6 networks.  The US DoD, Japan, Korea,
the
> >>>>>European Nations and just about any Industrial nations is trying
to help
> >>>>>kick-start IPv6 deployments.  However, the ISP's and industry do
not yet
> >>>>>have a good business case.  Making the transission easier will
help ALL
> >>>>>of IPv6 deployments.   I used some of Pascal's IPv6  NEMO code
with the
> >>>>>"Doors" protocol and demonstrated this to the CIO of the US DoD.
The
> >>>>>ability to run IPv6 over IPv4 and mix networks was very very
important.
> >>>>>
> >>>>>See:
>
>>>>>http://roland.grc.nasa.gov/~ivancic/ICNS2004_Demo/ICNS2004_Demo.htm
> >>>>>Note, the "off-site demonstrations in Washington D.C. area" was
for the
> >>>>>Office of Secretary of Defense in order to show a migration path
from
> >>>>>IPv4 to IPv6.
> >>>>>
> >>>>>
> >>>>>Will
> >>>>>
> >>>>>--
> >>>>>******************************
> >>>>>William D. Ivancic
> >>>>>Phone 216-433-3494
> >>>>>Fax  216-433-8705
> >>>>>Lab  216-433-2620
> >>>>>Mobile  440-503-4892
> >>>>>http://roland.grc.nas.gov/~ivancic
> >>>>>
> >>>>>
> >>>>>
> >>>>
> >>>
> >>
> >
> 
> 
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 27 Oct 2004 00:42:58 -0700

Pascal Thubert (pthubert) wrote:

> apply some header compression technique, this is nothing new. 

yes it is. what do you have on mind? ROHC? why would I opt for a
solution with a tunnel overhead, when I can use something
without a tunnel overhead.

> This is why we stopped the writing up for so long.

okay.

> have on the table, and if it's possible, take the best of it all and

I agree that NEMO should consider these requirements.

Vijay

---

From: Daniel J Shell <[email-masked]>
Date: Wed, 27 Oct 2004 07:56:50 -0400

>without a tunnel overhead.

Vijay
If I use header compression then my firewall will have to know something about
this.  Since I may have some of my HAs behind a firewall.  Some of my customers
already do this will Mobile Networking IPv4.  I do not seem them changing 
for IPv6
implementations.   So I see the need for header compression but from my 
customers
perspective it is not that big of an issue for now.

As long as I can turn header compression on or off then it make sense.

>I agree that NEMO should consider these requirements.

Yes support of NAT/PAT is very important and I have been running
into this will almost all of my deployments.
On the IPv4 side support for DHCP address on interfaces with NAT
sort of like we have for cable-devices.  I have some folks hotelling
with Mobile networks and this is becoming an issue.

Regards

an Shell
CISCO GSU
Ip mobility/wireless/satellite
440 331 5663